
Audacious - Bug #666

Audacious build fails (commit 9b38a6a)

September 19, 2016 22:35 - Cristiano De Alti

Status: Closed Start date: September 19, 2016

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudcore Estimated time: 0.00 hour

Target version: 3.9   

Affects version: 3.9   

Description

The build of the above commit fails with the below error.

$ ./configure --prefix=/opt/audacious-s24_3le

$ make

$ gcc -v

Using built-in specs.

COLLECT_GCC=gcc

COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/4.7/lto-wrapper

Target: x86_64-linux-gnu

Configured with: ../src/configure -v --with-pkgversion='Ubuntu/Linaro 4.7.2-2ubuntu1'

--with-bugurl=file:///usr/share/doc/gcc-4.7/README.Bugs --enable-languages=c,c++,go,fortran,objc,obj-c++ --prefix=/usr

--program-suffix=-4.7 --enable-shared --enable-linker-build-id --with-system-zlib --libexecdir=/usr/lib --without-included-gettext

--enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.7 --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu

--enable-libstdcxx-debug --enable-libstdcxx-time=yes --enable-gnu-unique-object --enable-plugin --enable-objc-gc --disable-werror

--with-arch-32=i686 --with-tune=generic --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu

--target=x86_64-linux-gnu

Thread model: posix

gcc version 4.7.2 (Ubuntu/Linaro 4.7.2-2ubuntu1)

audio.cc: In instantiation of ‘static packed24_t Convert<format, packed24_t, int>::to_word(int32_t) [with int format = 15; int32_t = int]’:

audio.cc:254:9:   required from ‘void to_int_loop(const float*, void*, int) [with int format = 15; Word = packed24_t; Int = int]’

audio.cc:312:90:   required from here

audio.cc:227:32: error: could not convert ‘{lo, mid, hi}’ from ‘<brace-enclosed initializer list>’ to ‘packed24_t’

audio.cc:229:32: error: could not convert ‘{hi, mid, lo}’ from ‘<brace-enclosed initializer list>’ to ‘packed24_t’

audio.cc: In instantiation of ‘static packed24_t Convert<format, packed24_t, int>::to_word(int32_t) [with int format = 16; int32_t = int]’:

audio.cc:254:9:   required from ‘void to_int_loop(const float*, void*, int) [with int format = 16; Word = packed24_t; Int = int]’

audio.cc:313:90:   required from here

audio.cc:227:32: error: could not convert ‘{lo, mid, hi}’ from ‘<brace-enclosed initializer list>’ to ‘packed24_t’

audio.cc:229:32: error: could not convert ‘{hi, mid, lo}’ from ‘<brace-enclosed initializer list>’ to ‘packed24_t’

audio.cc: In instantiation of ‘static packed24_t Convert<format, packed24_t, int>::to_word(int32_t) [with int format = 17; int32_t = int]’:

audio.cc:254:9:   required from ‘void to_int_loop(const float*, void*, int) [with int format = 17; Word = packed24_t; Int = int]’

audio.cc:314:90:   required from here

audio.cc:227:32: error: could not convert ‘{lo, mid, hi}’ from ‘<brace-enclosed initializer list>’ to ‘packed24_t’

audio.cc:229:32: error: could not convert ‘{hi, mid, lo}’ from ‘<brace-enclosed initializer list>’ to ‘packed24_t’

audio.cc: In instantiation of ‘static packed24_t Convert<format, packed24_t, int>::to_word(int32_t) [with int format = 18; int32_t = int]’:

audio.cc:254:9:   required from ‘void to_int_loop(const float*, void*, int) [with int format = 18; Word = packed24_t; Int = int]’

audio.cc:315:90:   required from here

audio.cc:227:32: error: could not convert ‘{lo, mid, hi}’ from ‘<brace-enclosed initializer list>’ to ‘packed24_t’

audio.cc:229:32: error: could not convert ‘{hi, mid, lo}’ from ‘<brace-enclosed initializer list>’ to ‘packed24_t’

audio.cc: In static member function ‘static packed24_t Convert<format, packed24_t, int>::to_word(int32_t) [with int format = 15;

int32_t = int]’:

audio.cc:230:5: warning: control reaches end of non-void function [-Wreturn-type]

audio.cc: In static member function ‘static packed24_t Convert<format, packed24_t, int>::to_word(int32_t) [with int format = 16;

int32_t = int]’:

audio.cc:230:5: warning: control reaches end of non-void function [-Wreturn-type]

audio.cc: In static member function ‘static packed24_t Convert<format, packed24_t, int>::to_word(int32_t) [with int format = 17;

int32_t = int]’:

audio.cc:230:5: warning: control reaches end of non-void function [-Wreturn-type]

audio.cc: In static member function ‘static packed24_t Convert<format, packed24_t, int>::to_word(int32_t) [with int format = 18;
int32_t = int]’:

audio.cc:230:5: warning: control reaches end of non-void function [-Wreturn-type]

Failed to compile audio.cc (lib)!

make

5

: * [audio.lib.o] Error 1

make

4

:  [all] Error 2

make

3

:  [libaudcore] Error 2

make

2

:  [all] Error 2

make

1

:  [src] Error 2

make: * [all] Error 2

History

#1 - September 20, 2016 01:12 - John Lindgren

- Category set to libaudcore

- Affects version 3.9 added

#2 - September 23, 2016 23:26 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.9

- % Done changed from 0 to 100
